メインコンテンツへスキップ
POST
/
cms
/
v3
/
blogs
/
posts
/
batch
/
read
ブログ記事をバッチ取得
curl --request POST \
  --url https://api.hubapi.com/cms/v3/blogs/posts/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    "<string>"
  ]
}
'
import requests

url = "https://api.hubapi.com/cms/v3/blogs/posts/batch/read"

payload = { "inputs": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: ['<string>']})
};

fetch('https://api.hubapi.com/cms/v3/blogs/posts/batch/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "abTestId": "<string>",
      "archivedAt": 123,
      "archivedInDashboard": true,
      "attachedStylesheets": [
        {}
      ],
      "authorName": "<string>",
      "blogAuthorId": "<string>",
      "campaign": "<string>",
      "categoryId": 123,
      "contentGroupId": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "createdById": "<string>",
      "currentlyPublished": true,
      "domain": "<string>",
      "dynamicPageDataSourceId": "<string>",
      "dynamicPageDataSourceType": 123,
      "dynamicPageHubDbTableId": "<string>",
      "enableDomainStylesheets": true,
      "enableGoogleAmpOutputOverride": true,
      "enableLayoutStylesheets": true,
      "featuredImage": "<string>",
      "featuredImageAltText": "<string>",
      "folderId": "<string>",
      "footerHtml": "<string>",
      "headHtml": "<string>",
      "htmlTitle": "<string>",
      "id": "<string>",
      "includeDefaultCustomCss": true,
      "layoutSections": {},
      "linkRelCanonicalUrl": "<string>",
      "mabExperimentId": "<string>",
      "metaDescription": "<string>",
      "name": "<string>",
      "pageExpiryDate": 123,
      "pageExpiryEnabled": true,
      "pageExpiryRedirectId": 123,
      "pageExpiryRedirectUrl": "<string>",
      "password": "<string>",
      "postBody": "<string>",
      "postSummary": "<string>",
      "publicAccessRules": [
        {}
      ],
      "publicAccessRulesEnabled": true,
      "publishDate": "2023-11-07T05:31:56Z",
      "publishImmediately": true,
      "rssBody": "<string>",
      "rssSummary": "<string>",
      "slug": "<string>",
      "state": "<string>",
      "tagIds": [
        123
      ],
      "themeSettingsValues": {},
      "translatedFromId": "<string>",
      "translations": {},
      "updated": "2023-11-07T05:31:56Z",
      "updatedById": "<string>",
      "url": "<string>",
      "useFeaturedImage": true,
      "widgetContainers": {},
      "widgets": {}
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"abTestId": "<string>",
"archivedAt": 123,
"archivedInDashboard": true,
"attachedStylesheets": [
{}
],
"authorName": "<string>",
"blogAuthorId": "<string>",
"campaign": "<string>",
"categoryId": 123,
"contentGroupId": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"currentlyPublished": true,
"domain": "<string>",
"dynamicPageDataSourceId": "<string>",
"dynamicPageDataSourceType": 123,
"dynamicPageHubDbTableId": "<string>",
"enableDomainStylesheets": true,
"enableGoogleAmpOutputOverride": true,
"enableLayoutStylesheets": true,
"featuredImage": "<string>",
"featuredImageAltText": "<string>",
"folderId": "<string>",
"footerHtml": "<string>",
"headHtml": "<string>",
"htmlTitle": "<string>",
"id": "<string>",
"includeDefaultCustomCss": true,
"layoutSections": {},
"linkRelCanonicalUrl": "<string>",
"mabExperimentId": "<string>",
"metaDescription": "<string>",
"name": "<string>",
"pageExpiryDate": 123,
"pageExpiryEnabled": true,
"pageExpiryRedirectId": 123,
"pageExpiryRedirectUrl": "<string>",
"password": "<string>",
"postBody": "<string>",
"postSummary": "<string>",
"publicAccessRules": [
{}
],
"publicAccessRulesEnabled": true,
"publishDate": "2023-11-07T05:31:56Z",
"publishImmediately": true,
"rssBody": "<string>",
"rssSummary": "<string>",
"slug": "<string>",
"state": "<string>",
"tagIds": [
123
],
"themeSettingsValues": {},
"translatedFromId": "<string>",
"translations": {},
"updated": "2023-11-07T05:31:56Z",
"updatedById": "<string>",
"url": "<string>",
"useFeaturedImage": true,
"widgetContainers": {},
"widgets": {}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

archived
boolean

削除済みのブログ記事を返すかどうかを指定します。デフォルトは「false」です。

ボディ

application/json

Wrapper for providing an array of strings as inputs.

inputs
string[]
必須

入力する文字列。

レスポンス

successful operation

Response object for batch operations on blog posts.

completedAt
string<date-time>
必須

バッチオペレーションの完了時刻。

results
object[]
必須

バッチオペレーションの結果。

startedAt
string<date-time>
必須

バッチオペレーションの開始時刻。

status
enum<string>
必須

バッチオペレーションのステータス。

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

バッチオペレーションに関連付けられたリンク。

requestedAt
string<date-time>

バッチオペレーションのリクエスト時刻。

最終更新日 2026年4月10日